config/routes.rb
Brimir::Application.routes.draw do

  devise_for :users

  resources :users

  resources :tickets, only: [:index, :show, :update, :new, :create]

  resources :replies, only: [:create, :new]
  get '/attachments/:id/:format' => 'attachments#show'

  root :to => 'tickets#index'

end

app/views/layouts/application.html.erb
<!DOCTYPE html>
<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ -->
<!--[if lt IE 7 ]> <html class="ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]>    <html class="ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]>    <html class="ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--> <html lang="en"> <!--<![endif]-->
  <head>
    <meta charset="utf-8" />

    <!-- Set the viewport width to device width for mobile -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <title><%= content_for?(:title) ? yield(:title) : 'Brimir' %></title>

    <%= favicon_link_tag 'favicon.png' %>
    <%= stylesheet_link_tag 'http://fonts.googleapis.com/css?family=Lato:400,700,400italic,700italic' %>
    <%= stylesheet_link_tag 'application' %>
    <%= csrf_meta_tags %>
  </head>

  <body>

    <div class="row collapse">
      <% if user_signed_in? %>
        <aside class="medium-3 large-2 columns">
          <div style="padding: 30px 0.66667rem 10px 0.66667rem">
            <%= link_to t(:new_ticket), new_ticket_path, class: 'button expand radius' %>
          </div>
          <ul class="off-canvas-list">
            <li>
              <%= active_elem_if :a, current_page?(root_path), href: root_path do %>
                <span class="fa fa-inbox"></span><%= t(:inbox) %>
              <% end %>
            </li>
            <li>
              <%= active_elem_if :a, current_page?(tickets_path(assignee_id: current_user.id,
                  status: 'open')), href: tickets_path(assignee_id: current_user.id,
                  status: 'open') do %>
                <span class="fa fa-user"></span><%= t(:mine) %>
              <% end %>
            </li>
            <li>
              <%= active_elem_if :a, current_page?(tickets_path(status: 'closed')),
                   href: tickets_path(status: 'closed') do %>
                <span class="fa fa-check"></span><%= t(:closed) %>
              <% end %>
            </li>
            <li>
              <%= active_elem_if :a, current_page?(tickets_path(status: 'deleted')),
                  href: tickets_path(status: 'deleted') do %>
                <span class="fa fa-trash-o"></span><%= t(:trashed) %>
              <% end %>
            </li>
          </ul>

          <p class="text-secondary text-center mt">
            <%= current_user.email %><br />
            <% if can? :manage, User %>
              <a href="<%= users_path %>" class="text-secondary"><i class="fa-users fa"></i></a>
            <% end %>
            <%= link_to '<i class="fa-cogs fa"></i>'.html_safe, edit_user_path(current_user), class: 'text-secondary' %>
            <%= link_to '<i class="fa-sign-out fa"></i>'.html_safe, :destroy_user_session, method: :delete, class: 'text-secondary' %>
          </p>
        </aside>
        <div class="medium-9 large-10 columns">
      <% else %>
        <div class="medium-9 large-10 columns medium-centered large-centered">
      <% end %>

        <% if notice %>
          <div class="row">
            <div class="large-12 columns">
                <div data-alert class="alert-box success"><%= notice %><a href="#" class="close">&times;</a></div>
            </div>
          </div>
        <% end %>
        <% if alert %>
          <div class="row">
            <div class="large-12 columns">
                <div data-alert class="alert-box alert"><%= alert %><a href="#" class="close">&times;</a></div>
            </div>
          </div>
        <% end %>

        <%= yield %>

      </div>
    </div>

    <div class="reveal-modal" data-reveal>
      <article>
      </article>
      <a class="close-reveal-modal">&#215;</a>
    </div>

    <%= javascript_include_tag 'application' %>

  </body>
</html>